﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Prova2
{
    public partial class LogForm : Form, ILogger
    {
        public LogForm()
        {
            InitializeComponent();
        }

        private void saveAsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SaveLog(false);
        }

        private void appendToToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SaveLog(true);
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void SaveLog(bool append)
        {
            using (SaveFileDialog saveFileDialog = new SaveFileDialog())
            {
                saveFileDialog.Filter = "txt files (*.txt)|*.txt";
                saveFileDialog.RestoreDirectory = true;
                saveFileDialog.AddExtension = true;
                saveFileDialog.OverwritePrompt = !append;
                if (saveFileDialog.ShowDialog() == DialogResult.OK)
                {
                    using (StreamWriter streamWriter = new StreamWriter(saveFileDialog.FileName, append))
                    {
                        streamWriter.Write(_textBox.Text);
                    }
                }
            }
        }

        #region ILogger Members

        public void WriteLine(string line)
        {
            _textBox.AppendText(line);
            _textBox.AppendText(Environment.NewLine);
        }

        #endregion
    }
}
